"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CompareStatusResolver = void 0;
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importDefault(require("react"));
const design_ui_tooltip_1 = require("@teambit/design.ui.tooltip");
const compare_status_resolver_module_scss_1 = __importDefault(require("./compare-status-resolver.module.scss"));
function ToolTip({ status, children }) {
    const content = (react_1.default.createElement("ul", { className: compare_status_resolver_module_scss_1.default.list },
        status === 'new' && react_1.default.createElement("li", null, "New"),
        status === 'modified' && react_1.default.createElement("li", null, "Modified"),
        status === 'deleted' && react_1.default.createElement("li", null, "Deleted")));
    return (react_1.default.createElement(design_ui_tooltip_1.Tooltip, { className: compare_status_resolver_module_scss_1.default.tooltip, placement: "bottom", content: content }, children));
}
function Status(_a) {
    var { status, className } = _a, rest = __rest(_a, ["status", "className"]);
    return (react_1.default.createElement("div", Object.assign({}, rest, { className: (0, classnames_1.default)(compare_status_resolver_module_scss_1.default.status, compare_status_resolver_module_scss_1.default[status], className) }), status[0].toUpperCase()));
}
function CompareStatusResolver({ status }) {
    return (react_1.default.createElement(ToolTip, { status: status },
        react_1.default.createElement("div", { className: compare_status_resolver_module_scss_1.default.statusLine },
            react_1.default.createElement(Status, { status: status }))));
}
exports.CompareStatusResolver = CompareStatusResolver;
//# sourceMappingURL=compare-status-resolver.js.map